
Foreman - Refactor #32403

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

Add custom validations to new setting DSL

04/22/2021 11:04 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8470

  

Description

I'd imagine this can be a simple lambda, that gets the setting record as parameter and performs clasical custom validation, or AR

Validator class.

Related issues:

Related to Foreman - Bug #32925: root_pass setting does not enforce minimum l... Closed

Blocked by Foreman - Feature #32286: Create a new setting definition DSL Closed

Precedes Foreman - Refactor #32408: Use new DSL to define settings Closed

Associated revisions

Revision 80fb0c21 - 09/15/2021 12:20 PM - Ondřej Ezr

Fixes #32403 - Add validations to a setting DSL

Add ability to define validation per Setting through DSL.

It tries to keep similar syntax to rails model validations.

History

#1 - 04/24/2021 08:28 PM - Ondřej Ezr

- Blocked by Feature #32286: Create a new setting definition DSL added

#2 - 04/24/2021 08:34 PM - Ondřej Ezr

- Precedes Refactor #32408: Use new DSL to define settings added

#3 - 04/26/2021 02:00 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8470 added

#4 - 06/28/2021 11:44 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8624 added

#5 - 08/05/2021 09:02 AM - Ondřej Ezr

- Related to Bug #32925: root_pass setting does not enforce minimum length of 8 characters as the host and hostgroups forms do added

#6 - 09/15/2021 12:20 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#7 - 09/15/2021 02:03 PM - Ondřej Ezr

- Fixed in Releases 3.1.0 added
- Fixed in Releases deleted (3.2.0)

#8 - 09/15/2021 04:03 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|80fb0c21bb6e1ad7bb5cacf7b1436d021d4447e5.

#9 - 09/21/2021 08:04 AM - Ondřej Ezr

- Status changed from Closed to Ready For Testing

- Pull request deleted (https://github.com/theforeman/foreman/pull/8624)

#10 - 09/22/2021 09:56 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Mistakingly reopened
